function tpf(){}
function srf(){}
function Eqf(a){this.a=a}
function Qqf(a){this.a=a}
function Nqf(a,b){rpf(a.a,b)}
function Mqf(a,b){rpf(a.c,b)}
function rpf(a,b){Pdf(a.a,b)}
function Oqf(){fZd.call(this)}
function Lqf(a){Rdf(a.a.a);Rdf(a.c.a)}
function Brf(a){var b;if(!a.g){b=new Oqf;a.g=b}return a.g}
function yqf(a){var b;Lqf(a.A);b=AAh(a.a,Ldf(),$L($0c,pxj,1,[]));I7i(z7i(b,mGj),g_j);Q7i(z7i(b,h_j),true);unj(new Nmj(b),new Eqf(a))}
function zqf(a,b,d,e,g){M8d.call(this,a,b,d,e);this.c=g;this.a=(new __i(rXb,(LAh(),GAh).Mc(rXb),KAh.Mc(rXb))).a;this.b=new o0i(rXb)}
function rrf(a){var b;b=$L(u1c,ixj,196,[new Nef(XXj,'Application Failures'),new Nef(ZXj,'Resource Failures')]);SXd();a.a=Ydf(new Zdf('Failure Origin',D_j),b);return Qdf(a.a)}
function Arf(a){var b;if(!a.f){b=new zqf(TEd(Qbe(a.a)),Brf(a),zrf(a),(Ynj(vde(a.a)),_oj(xde(a.a))),(a1i(tde(a.a)),oLg(Jce(a.a))));dFd((Rbe(a.a),b),aGd(Rbe(a.a)));a.f=b}return a.f}
function spf(a){var b,d;d=new Nef(QXj,'Number of Transactions');b=$L(u1c,ixj,196,[(d.c=true,d),zef(new Nef(SXj,'Commited'),d),zef(new Nef(UXj,'Aborted'),d),zef(new Nef(OXj,'Timed Out'),d)]);SXd();a.a=Ydf(new Zdf('Success Ratio',D_j),b);return Qdf(a.a)}
function Dqf(a,b){var d,e;e=onj(b);if(e.b.gN(JGj)&&z7i(e,JGj).b.b!=(Rlj(),Qlj)&&!XOd(z7i(e,JGj).b.Ze(),KGj)){Vc('Failed to load TX metrics: '+B7i(e))}else{d=e0i(a.a.b,z7i(e,vGj));Nqf(a.a.A,new Hdf($L(c0c,hxj,-1,[d.OF(),d.IF(),d.GF(),d.NF()])));Mqf(a.a.A,new Hdf($L(c0c,hxj,-1,[d.HF(),d.MF()])))}}
h3c(2686,1,{},tpf);_.a=null;h3c(2708,1402,oyj,zqf);_.Qi=function(){this.A.b=this;L8d(this,Iyh(sde((SXd(),QXd).a)))};_.Vi=function(){yqf(this)};_.Zi=function(){vuf(this.c,this)};h3c(2710,1644,{},Eqf);_.dh=function(a){Dqf(this,a)};h3c(2713,1209,Xyj,Oqf);_.Ah=function(){var a,b;b=new fnd(I_j);rz((Pfd(),b.gb),J_j);b.gb.style[fCj]=(wC(),oCj);b.gb.style[kCj]=-80+(sD(),SAj);b.gb.style[K_j]=m1j;QA(b.gb.style,mB());b.gb.style[jCj]=n1j;pr(b,(SXd(),'refreshBtnTXMetricViewImp'));b.sh(new Qqf(this));this.a=new tpf;this.c=new srf;a=rBe(rBe(rBe(uBe(vBe(yBe(new ABe,K4j),O4j),'These metrics reflect the current state of the transaction subsystem. If no metrics are shown, you might need to enable statistics for the transaction subsystem.'),Pzj,b),'Executions',spf(this.a)),'Rollbacks',rrf(this.c));return sBe(a)};h3c(2714,1,Cxj,Qqf);_.he=function(a){yqf(this.a.b)};h3c(2721,1,{},srf);_.a=null;h3c(2726,1,Wyj);_.pd=function(){BGd(this.b,Arf(this.a.a))};var Sub=zNd(2708),Pub=zNd(2710),Uub=zNd(2713),Tub=zNd(2714),rub=zNd(2686),bvb=zNd(2721);Kzj(_o)(74);